package com.friday.custody.service.trustService.htsc.utils;

import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.ReentrantLock;

public class ReentrantLockUtil {


    public static boolean lock(ReentrantLock lock, int timeOut) throws InterruptedException {
            return lock.tryLock(timeOut,TimeUnit.SECONDS);
    }
}
